Get stream status
curl --request GET \
--url https://api.daydream.live/v1/streams/{id}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.daydream.live/v1/streams/{id}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.daydream.live/v1/streams/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": null,
"data": {
"stream_id": "<string>",
"request_id": "<string>",
"pipeline_id": "<string>",
"type": "<string>",
"orchestrator_info": {
"address": "<string>",
"url": "<string>"
},
"inference_status": {
"pipeline": "<string>",
"start_time": 123,
"last_params_update_time": 123,
"last_params": "<unknown>",
"last_params_hash": "<string>",
"input_fps": 123,
"output_fps": 123,
"last_input_time": 123,
"last_output_time": 123,
"restart_count": 0,
"last_restart_time": 123,
"last_restart_logs": [
"<string>"
],
"last_error": "<string>",
"stream_id": "<string>"
},
"gateway_status": {
"whep_url": "<string>",
"error": {
"error_message": "<string>",
"error_time": 0
},
"ingest_metrics": {
"stats": {
"peer_conn_stats": {
"ID": "<string>",
"BytesReceived": 0,
"BytesSent": 0
},
"track_stats": [
{
"type": "<string>",
"jitter": 123,
"packets_lost": 0,
"packets_received": 0,
"packet_loss_pct": 123,
"rtt": 123,
"warnings": [
"<string>"
]
}
]
}
}
},
"pipeline": "<string>"
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"status": 123,
"details": "<unknown>",
"requestId": "<string>",
"traceId": "<string>"
}API Reference
Stream Status
Check the status of your stream
GET
/
v1
/
streams
/
{id}
/
status
Get stream status
The stream status uses the following url, make sure to include your stream Id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the stream to get status for
Minimum string length:
1⌘I